## gnome-pnp-ids

gnome-pnp-ids

## Functions

gchar * | gnome_pnp_ids_get_pnp_id ()
GnomePnpIds * | gnome_pnp_ids_new ()

## Types and Values

struct | GnomePnpIds
struct | GnomePnpIdsClass
#define | GNOME_PNP_IDS_ERROR

## Description

## Functions

### gnome_pnp_ids_get_pnp_id ()

    gchar *
    gnome_pnp_ids_get_pnp_id (GnomePnpIds *pnp_ids,
                              const gchar *pnp_id);

Find the full manufacturer name for the given PNP ID.

#### Parameters

pnp_ids | a GnomePnpIds object |
pnp_id | the PNP ID to look for |

#### Returns

a new string representing the manufacturer name, or `NULL` when not found.

[transfer full]

### gnome_pnp_ids_new ()

    GnomePnpIds *
    gnome_pnp_ids_new (void);

Returns a reference to a GnomePnpIds object, or creates a new one if none have been created.

#### Returns

a GnomePnpIds object.

[transfer full]

## Types and Values

### struct GnomePnpIds

    struct GnomePnpIds {
             GObject                         parent;
             GnomePnpIdsPrivate             *priv;
    };

### struct GnomePnpIdsClass

    struct GnomePnpIdsClass {
            GObjectClass    parent_class;
    };

### GNOME_PNP_IDS_ERROR

    #define GNOME_PNP_IDS_ERROR                (gnome_pnp_ids_error_quark ())